请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
查看: 814|回复: 1

[技术分享] SolidEdge二次开发-获取装配树零件路径(非打开)!

[复制链接]

555

主题

740

帖子

3336

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3336
发表于 2017-7-28 10:21:06 | 显示全部楼层 |阅读模式
在SE中,实现不打开装配零件的情况下,去获取这个装配零件下所有的装配零件路径。
1、定义变量:
  1.             RevisionManager.Application application = null;
  2.             RevisionManager.Document document = null;
复制代码
2、赋值
  1.             application1 = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");
  2.             part = (SolidEdgePart.PartDocument)application1.ActiveDocument;
  3.             string partFullPath = parttemplate + listbox1.SelectedItem.ToString();//打开装配文档全路径


  4.             application = new RevisionManager.Application();
  5.             document = (RevisionManager.Document)application.Open(partFullPath);
复制代码
3、递归函数
游客,如果您要查看本帖隐藏内容请回复



回复

使用道具 举报

0

主题

3

帖子

15

积分

潜龙勿用

Rank: 1

积分
15
发表于 2017-11-7 15:09:06 | 显示全部楼层
学习下后台打开的方法
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-9-19 02:19 , Processed in 0.150653 second(s), 22 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表